2006-01-08 20:39:44 +03:00
#!/bin/sh
# Check ncurses compatibility
# What library to link
ldflags( )
{
2012-06-13 04:05:15 +04:00
for ext in so a dll.a dylib ; do
2007-05-17 23:06:31 +04:00
for lib in ncursesw ncurses curses ; do
$cc -print-file-name= lib${ lib } .${ ext } | grep -q /
if [ $? -eq 0 ] ; then
echo " -l ${ lib } "
exit
fi
done
done
2006-01-15 17:28:35 +03:00
exit 1
2006-01-08 20:39:44 +03:00
}
# Where is ncurses.h?
ccflags( )
{
2012-06-13 04:05:02 +04:00
if [ -f /usr/include/ncursesw/curses.h ] ; then
echo '-I/usr/include/ncursesw -DCURSES_LOC="<ncursesw/curses.h>"'
elif [ -f /usr/include/ncurses/ncurses.h ] ; then
2006-01-08 20:39:44 +03:00
echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
elif [ -f /usr/include/ncurses/curses.h ] ; then
echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"'
elif [ -f /usr/include/ncurses.h ] ; then
echo '-DCURSES_LOC="<ncurses.h>"'
else
echo '-DCURSES_LOC="<curses.h>"'
fi
}
2006-01-21 14:03:09 +03:00
# Temp file, try to clean up after us
tmp = .lxdialog.tmp
trap " rm -f $tmp " 0 1 2 3 15
2006-01-08 20:39:44 +03:00
# Check if we can link to ncurses
check( ) {
2012-10-02 18:42:36 +04:00
$cc -x c - -o $tmp 2>/dev/null <<'EOF'
2008-05-01 21:29:47 +04:00
#include CURSES_LOC
main( ) { }
EOF
2006-01-08 20:39:44 +03:00
if [ $? != 0 ] ; then
2007-12-09 22:11:15 +03:00
echo " *** Unable to find the ncurses libraries or the" 1>& 2
echo " *** required header files." 1>& 2
echo " *** 'make menuconfig' requires the ncurses libraries." 1>& 2
echo " *** " 1>& 2
echo " *** Install ncurses (ncurses-devel) and try again." 1>& 2
echo " *** " 1>& 2
exit 1
2006-01-08 20:39:44 +03:00
fi
}
usage( ) {
2008-12-04 00:11:14 +03:00
printf " Usage: $0 [-check compiler options|-ccflags|-ldflags compiler options]\n "
2006-01-08 20:39:44 +03:00
}
2007-05-24 05:37:45 +04:00
if [ $# -eq 0 ] ; then
2006-01-08 20:39:44 +03:00
usage
exit 1
fi
2006-01-21 14:03:09 +03:00
cc = ""
2006-01-08 20:39:44 +03:00
case " $1 " in
"-check" )
shift
2006-01-15 17:28:35 +03:00
cc = " $@ "
2006-01-08 20:39:44 +03:00
check
; ;
"-ccflags" )
ccflags
; ;
"-ldflags" )
2006-01-15 17:28:35 +03:00
shift
cc = " $@ "
2006-01-08 20:39:44 +03:00
ldflags
; ;
"*" )
usage
exit 1
; ;
esac